// import evalIndex from '../../views/evaluation';
// import newest from '../../views/evaluation/newest';
// import evalCharts from '../../views/evaluation/charts';
// import suggestion from '../../views/evaluation/suggestion';
// import problem from '../../views/evaluation/problem';

export default {
  path: 'evaluation',
  name: '服务监督',
  component: () => import(/* webpackChunkName: "evaluation" */ '../../views/evaluation/index.vue'),
  redirect: '/evaluation/manage',
  children: [
    {
      path: 'index',
      name: '最新评价',
      // component: newest,
      redirect: '/evaluation/manage',
      meta: {
        path: '/evaluation/manage'
      }
    },
    {
      path: 'manage',
      name: '评价管理',
      component: () => import(/* webpackChunkName: "evaluation" */ '../../views/evaluation/manage.vue'),
      meta: {
        path: '/evaluation/manage'
      }
    },
    {
      path: 'bad/:type',
      name: '差评详情',
      component: () => import(/* webpackChunkName: "evaluation" */ '../../views/evaluation/newest.vue'),
      meta: {
        type: 'bad',
        path: '/evaluation/charts'
      }
    },
    {
      path: 'suggestion',
      name: '投诉与建议',
      component: () => import(/* webpackChunkName: "evaluation" */ '../../views/evaluation/suggestion.vue'),
      meta: {
        path: '/evaluation/suggestion'
      }
    },
    {
      path: 'suggestion/:id',
      name: '投诉与建议处理',
      component: () => import(/* webpackChunkName: "evaluation" */ '../../views/evaluation/problem.vue'),
      meta: {
        path: '/evaluation/suggestion'
      }
    },
    {
      path: 'suggestion/info/:id',
      name: '投诉与建议处理',
      component: () => import(/* webpackChunkName: "evaluation" */ '../../views/evaluation/problem.vue'),
      meta: {
        type: 'info',
        path: '/evaluation/suggestion'
      }
    }
  ]
};
